Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IMeshGraphicGL

    java.lang.Object
      igeo.IGraphicObject
          igeo.gui.IMeshGraphicGL

All Implemented Interfaces:
  IGraphicI, ISubobject

    public class IMeshGraphicGL

extends IGraphicObject

Graphic subobject class to draw polygon mesh object by OpenGL.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`IVec[][]` | `edgePts`
`IVec[][]` | `faceNormal`
`IVec[][]` | `facePts`
`IMeshI` | `mesh`
`static float` | `weight`

Fields inherited from class igeo.IGraphicObject
`color, defaultAlpha, defaultBlue, defaultGreen, defaultRed, parent, transparentModeAlpha, update, visible`

Constructor Summary
`IMeshGraphicGL(IMesh m)`
`IMeshGraphicGL(IMeshR m)`

Method Summary
`void` | `draw(IGraphics g)`
`void` | `initMesh()`
`boolean` | `isDrawable(IGraphicMode m)`

Methods inherited from class igeo.IGraphicObject
`getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, show, update, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### weight

    public static float weight

### mesh

    public IMeshI mesh

### facePts

    public IVec[][] facePts

### faceNormal

    public IVec[][] faceNormal

### edgePts

    public IVec[][] edgePts

Constructor Detail

### IMeshGraphicGL

    public IMeshGraphicGL(IMesh m)

### IMeshGraphicGL

    public IMeshGraphicGL(IMeshR m)

Method Detail

### initMesh

    public void initMesh()

### isDrawable

    public boolean isDrawable(IGraphicMode m)

  Specified by:
    `isDrawable` in interface `IGraphicI`
  Specified by:
    `isDrawable` in class `IGraphicObject`

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`
  Specified by:
    `draw` in class `IGraphicObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD